Subject: Re: bug#45947: 28.0.50; comment-dwim and undo in active region

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 07 Jun 2022 16:14:47 +0200

Bodertz <[email-masked]> writes:

> Undoing with an active region does not always work as expected if
> `comment-dwim' is used.  From emacs -Q:
>
> 1. Create a new buffer (C-x b new-buffer RET)
>
> 2. Insert A, B, and C on seperate lines as below
>    ('*' represents point)
>
> A
> B
> C*
>
> 3. Create an active region over the last two lines (C-SPC C-p C-a)
> 4. Use comment-dwim (M-; ; RET)
> 5. Create an active region over the last two lines (C-SPC M->)
> 6. Undo (C-/):
>
> A
> ; *
> ; C

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I can reproduce this in Emacs 29, too.  I wonder whether it's related to
bug#21523 -- it, too, mis-computes the active region at the edges and
includes the wrong thing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no